import React from 'react';
import { ChartDataShape, ChartInternalDataShape, ChartDataTypes } from '../common/data';
import { ZoomPanChangeEvent } from '../common/ZoomPan';
import { ChartContainerChildProps, ChartProps } from '../common/containers/ChartContainer';
export interface AreaChartProps extends ChartProps {
    data: ChartDataShape[];
    series: JSX.Element;
    yAxis: JSX.Element;
    xAxis: JSX.Element;
    gridlines: JSX.Element | null;
    brush: JSX.Element | null;
    zoomPan: JSX.Element | null;
}
interface AreaChartState {
    zoomDomain?: [ChartDataTypes, ChartDataTypes];
    preventAnimation?: boolean;
    isZoomed: boolean;
    zoomControlled: boolean;
}
export declare class AreaChart extends React.Component<AreaChartProps, AreaChartState> {
    static defaultProps: Partial<AreaChartProps>;
    static getDerivedStateFromProps(props: AreaChartProps, state: AreaChartState): {
        zoomDomain: any;
        isZoomed: boolean;
    };
    timeout: any;
    constructor(props: AreaChartProps);
    getData: any;
    getScales(data: ChartInternalDataShape[], chartWidth: number, chartHeight: number): {
        xScale: import("d3-scale").ScalePoint<any> | import("d3-scale").ScaleBand<any> | import("d3-scale").ScaleTime<any, any>;
        yScale: import("d3-scale").ScaleLinear<any, any>;
    };
    onZoomPan(event: ZoomPanChangeEvent): void;
    renderChart(containerProps: ChartContainerChildProps): JSX.Element;
    render(): JSX.Element;
}
export {};
