import { Component } from 'react';
import { InterpolationTypes } from '../../common/utils/interpolation';
import { ChartInternalDataShape, ChartInternalShallowDataShape } from '../../common/data';
export interface AreaProps {
    id: string;
    data: ChartInternalDataShape[];
    width: number;
    interpolation: InterpolationTypes;
    color: any;
    yScale: any;
    xScale: any;
    index: number;
    pattern?: boolean;
    animated: boolean;
    gradient?: boolean | Array<{
        offset: number | string;
        stopOpacity: number;
    }>;
}
export declare class Area extends Component<AreaProps, {}> {
    static defaultProps: Partial<AreaProps>;
    getAreaPath(data: ChartInternalShallowDataShape[]): string;
    getCoords(): ChartInternalShallowDataShape[];
    getAreaEnter(coords: ChartInternalShallowDataShape[]): {
        d: string;
    };
    getAreaExit(): {
        d: string;
    };
    getGradientOffsets(): {
        offset: string | number;
        stopOpacity: number;
    }[];
    getFill(): string;
    renderArea(coords: ChartInternalShallowDataShape[]): JSX.Element;
    render(): JSX.Element;
}
