import { Component } from 'react';
import { ChartInternalDataShape, ChartInternalNestedDataShape, ChartInternalShallowDataShape } from '../../common/data';
import { TooltipAreaEvent } from '../../common/TooltipArea';
import { InterpolationTypes } from '../../common/utils/interpolation';
export declare type AreaChartTypes = 'standard' | 'stacked' | 'stackedNormalized';
export interface AreaSeriesProps {
    id: string;
    xScale: any;
    yScale: any;
    data: ChartInternalDataShape[];
    height: number;
    width: number;
    animated: boolean;
    type: AreaChartTypes;
    interpolation: InterpolationTypes;
    tooltip: JSX.Element;
    markLine: JSX.Element | null;
    symbols: JSX.Element | null;
    line: JSX.Element | null;
    area: JSX.Element | null;
    colorScheme: ((data: any, index: number, activeValues?: any) => string) | string[];
    isZoomed: boolean;
}
interface AreaSeriesState {
    activeValues?: any;
    activePoint?: number;
}
export declare class AreaSeries extends Component<AreaSeriesProps, AreaSeriesState> {
    static defaultProps: Partial<AreaSeriesProps>;
    state: AreaSeriesState;
    getColor(point: any, index: any): string;
    onValueEnter(event: TooltipAreaEvent): void;
    onValueLeave(): void;
    renderArea(data: ChartInternalShallowDataShape[], index?: number): JSX.Element;
    renderSymbols(data: ChartInternalShallowDataShape[], index?: number): JSX.Element;
    renderMarkLine(): JSX.Element;
    renderSingleSeries(data: ChartInternalShallowDataShape[]): JSX.Element;
    renderMultiSeries(data: ChartInternalNestedDataShape[]): JSX.Element;
    render(): JSX.Element;
}
export {};
