import React from 'react';
import { InterpolationTypes } from '../../common/utils/interpolation';
import { ChartInternalDataShape, ChartInternalShallowDataShape } from '../../common/data';
export interface LineProps {
    data: ChartInternalDataShape[];
    width: number;
    color: any;
    yScale: any;
    xScale: any;
    index: number;
    strokeWidth: number;
    showZeroStroke: boolean;
    interpolation: InterpolationTypes;
    animated: boolean;
    hasArea: boolean;
}
export declare class Line extends React.Component<LineProps, {}> {
    static defaultProps: Partial<LineProps>;
    ghostPathRef: React.RefObject<SVGPathElement>;
    getLinePath(data: ChartInternalShallowDataShape[]): string;
    getCoords(): ChartInternalShallowDataShape[];
    getLineEnter(coords: ChartInternalShallowDataShape[]): {
        d: string;
    };
    getLineExit(): {
        d: string;
    };
    render(): JSX.Element;
}
