import React, { Component } from 'react';
import { ChartInternalShallowDataShape } from '../../common/data';
export interface BarProps {
    xScale: any;
    xScale1: any;
    data: ChartInternalShallowDataShape;
    id: string;
    gradient?: boolean | Array<{
        offset: number | string;
        stopOpacity: number;
    }>;
    yScale: any;
    width: number;
    padding: number;
    barCount: number;
    color: any;
    rounded: boolean;
    cursor: string;
    barIndex: number;
    groupIndex?: number;
    animated: boolean;
    isCategorical: boolean;
    onClick: (event: any) => void;
    onMouseEnter: (event: any) => void;
    onMouseLeave: (event: any) => void;
    rangeLines: JSX.Element | null;
    tooltip: JSX.Element;
}
interface BarState {
    active?: boolean;
}
interface BarCoordinates {
    width: number;
    height: number;
    x: number;
    y: number;
}
export declare class Bar extends Component<BarProps, BarState> {
    static defaultProps: Partial<BarProps>;
    rect: React.RefObject<any>;
    state: BarState;
    getXAttribute(): 'x' | 'x0';
    getExit({ x, width }: BarCoordinates): {
        x: number;
        y: number;
        height: number;
        width: number;
    };
    getCoords(): BarCoordinates;
    /**
     * This function calculates the padding on a linear scale used by the marimekko chart.
     */
    calculateLinearScalePadding(x: number, width: number): {
        width: number;
        x: number;
    };
    onMouseEnter(event: MouseEvent): void;
    onMouseLeave(event: MouseEvent): void;
    onMouseClick(event: MouseEvent): void;
    getFill(color: string): string;
    getTooltipData(): {
        y: import("../../common/data").ChartInternalDataTypes;
        x: import("../../common/data").ChartInternalDataTypes;
    };
    renderBar(currentColorShade: string, coords: BarCoordinates, index: number): JSX.Element;
    render(): JSX.Element;
}
export {};
