import { Component } from 'react';
import { ChartInternalDataShape, ChartInternalNestedDataShape, ChartInternalShallowDataShape } from '../../common/data';
import { ThresholdCountGenerator, ThresholdArrayGenerator } from 'd3-array';
import { CountableTimeInterval } from 'd3-time';
export interface BarSeriesProps {
    data: ChartInternalDataShape[];
    id: string;
    xScale: any;
    xScale1: any;
    yScale: any;
    bar: JSX.Element;
    type: 'standard' | 'stacked' | 'stackedNormalized' | 'marimekko';
    colorScheme: ((data: any, index: number) => string) | string[];
    animated: boolean;
    padding: number;
    groupPadding: number;
    isCategorical: boolean;
    /**
     * Threshold for the binning of histogram charts.
     */
    binThreshold?: number | ThresholdCountGenerator | ArrayLike<number | Date> | ThresholdArrayGenerator | CountableTimeInterval;
}
export declare class BarSeries extends Component<BarSeriesProps, {}> {
    static defaultProps: Partial<BarSeriesProps>;
    /**
     * Get the translation for the bar group.
     */
    getTransform(data: ChartInternalNestedDataShape): string;
    getColor(point: any, index: any): string;
    renderBar(data: ChartInternalShallowDataShape, barIndex: number, barCount: number, groupIndex?: number): JSX.Element;
    /**
     * Get the bar group.
     */
    renderBarGroup(data: ChartInternalShallowDataShape[], barCount: number, groupIndex?: number): JSX.Element;
    render(): JSX.Element;
}
