import React, { Component } from 'react';
import { GeoProjection, GeoPath } from 'd3-geo';
import { ChartProps, ChartContainerChildProps } from '../common/containers/ChartContainer';
export declare const PosedSVGG: React.ComponentType<{
    [key: string]: any;
    children?: any;
    pose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    _pose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    initialPose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    withParent?: boolean;
    onPoseComplete?: (pose: import("react-pose/lib/components/PoseElement/types").CurrentPose) => any;
    onValueChange?: {
        [key: string]: (v: any) => any;
    };
    innerRef?: {
        current: any;
    } | ((el: Element) => any);
} & import("react-pose/lib/components/PoseElement/types").PoseContextProps & React.HTMLProps<any>>;
interface MapProps extends ChartProps {
    markers?: JSX.Element[];
}
interface MapState {
    worldData?: any;
}
export declare class Map extends Component<MapProps, MapState> {
    state: MapState;
    componentDidMount(): void;
    getProjection({ chartWidth, chartHeight }: ChartContainerChildProps): GeoProjection;
    renderMarker(marker: JSX.Element, index: number, projection: GeoProjection): JSX.Element;
    renderCountry(point: any, index: number, path: GeoPath): JSX.Element;
    renderChart(containerProps: ChartContainerChildProps): JSX.Element;
    render(): JSX.Element;
}
export {};
