import { Component } from 'react';
import { ChartProps, ChartContainerChildProps } from '../common/containers/ChartContainer';
import { Node, Link } from './utils';
declare type Justification = 'justify' | 'center' | 'left' | 'right';
interface SankeyProps extends ChartProps {
    animated: boolean;
    colorScheme?: ((data: any, index: number) => string) | string[];
    justification: Justification;
    nodeWidth: number;
    nodePadding: number;
    nodes: JSX.Element[];
    links: JSX.Element[];
}
interface SankeyState {
    activeNodes: Node[];
    activeLinks: Link[];
}
export declare class Sankey extends Component<SankeyProps, SankeyState> {
    static defaultProps: Partial<SankeyProps>;
    state: SankeyState;
    getColor(node: JSX.Element, index: any): any;
    onNodeActive(node: Node): void;
    onLinkActive(link: Link): void;
    onInactive(): void;
    renderNode(computedNode: Node, index: number, chartWidth: number): JSX.Element;
    renderNodes(nodes: Node[], chartWidth: number): JSX.Element;
    renderLink(computedLink: Link, index: number): JSX.Element;
    renderChart(containerProps: ChartContainerChildProps): JSX.Element;
    render(): JSX.Element;
}
export {};
