import React, { Component } from 'react';
import { NodeExtra, Link } from '../utils';
export declare const PosedLink: React.ComponentType<{
    [key: string]: any;
    children?: any;
    pose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    _pose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    initialPose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    withParent?: boolean;
    onPoseComplete?: (pose: import("react-pose/lib/components/PoseElement/types").CurrentPose) => any;
    onValueChange?: {
        [key: string]: (v: any) => any;
    };
    innerRef?: {
        current: any;
    } | ((el: Element) => any);
} & import("react-pose/lib/components/PoseElement/types").PoseContextProps & React.HTMLProps<any>>;
export interface SankeyLinkProps extends Link {
    active: boolean;
    animated: boolean;
    disabled: boolean;
    className?: string;
    gradient?: boolean;
    style?: object;
    chartId: string;
    tooltip: JSX.Element;
    onClick: (event: React.MouseEvent<SVGPathElement>) => void;
    onMouseEnter: (event: React.MouseEvent<SVGPathElement>) => void;
    onMouseLeave: (event: React.MouseEvent<SVGPathElement>) => void;
}
interface SankeyLinkState {
    hovered?: boolean;
}
export declare class SankeyLink extends Component<SankeyLinkProps, SankeyLinkState> {
    static defaultProps: Partial<SankeyLinkProps>;
    link: React.RefObject<SVGPathElement>;
    state: SankeyLinkState;
    getLink(): {
        index: number;
        y0: number;
        y1: number;
        value: number;
        width: number;
        source: string | number | import("d3-sankey").SankeyNode<NodeExtra, import("../utils").LinkExtra>;
        target: string | number | import("d3-sankey").SankeyNode<NodeExtra, import("../utils").LinkExtra>;
    };
    getStroke(): string;
    onMouseEnter(event: React.MouseEvent<SVGPathElement>): void;
    onMouseLeave(event: React.MouseEvent<SVGPathElement>): void;
    getEnter(): {
        d: string;
        strokeWidth: number;
    };
    getExit(): {
        d: string;
        strokeWidth: number;
    };
    renderLink(): JSX.Element;
    renderTooltipContent(): JSX.Element;
    render(): JSX.Element;
}
export {};
