import React, { Component } from 'react';
import { Node } from '../utils';
export declare const PosedNode: React.ComponentType<{
    [key: string]: any;
    children?: any;
    pose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    _pose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    initialPose?: import("react-pose/lib/components/PoseElement/types").CurrentPose;
    withParent?: boolean;
    onPoseComplete?: (pose: import("react-pose/lib/components/PoseElement/types").CurrentPose) => any;
    onValueChange?: {
        [key: string]: (v: any) => any;
    };
    innerRef?: {
        current: any;
    } | ((el: Element) => any);
} & import("react-pose/lib/components/PoseElement/types").PoseContextProps & React.HTMLProps<any>>;
export interface SankeyNodeProps extends Node {
    active: boolean;
    animated: boolean;
    disabled: boolean;
    className?: string;
    style?: object;
    chartWidth?: number;
    width?: number;
    label: JSX.Element;
    tooltip: JSX.Element;
    showLabel: boolean;
    onClick: (event: React.MouseEvent<SVGRectElement>) => void;
    onMouseEnter: (event: React.MouseEvent<SVGRectElement>) => void;
    onMouseLeave: (event: React.MouseEvent<SVGRectElement>) => void;
}
interface SankeyNodeState {
    hovered?: boolean;
}
export declare class SankeyNode extends Component<SankeyNodeProps, SankeyNodeState> {
    static defaultProps: Partial<SankeyNodeProps>;
    state: SankeyNodeState;
    rect: React.RefObject<SVGRectElement>;
    getNode(): {
        id: string;
        title: string;
        color: string;
        sourceLinks: import("d3-sankey").SankeyLink<import("../utils").NodeExtra, import("../utils").LinkExtra>[];
        targetLinks: import("d3-sankey").SankeyLink<import("../utils").NodeExtra, import("../utils").LinkExtra>[];
        value: number;
        index: number;
        x0: number;
        x1: number;
        y0: number;
        y1: number;
    };
    onMouseEnter(event: React.MouseEvent<SVGRectElement>): void;
    onMouseLeave(event: React.MouseEvent<SVGRectElement>): void;
    renderNode(): JSX.Element;
    renderTooltipContent(): JSX.Element;
    render(): JSX.Element;
}
export {};
