import { Component } from 'react';
import { ChartShallowDataShape, ChartInternalShallowDataShape, ChartDataTypes } from '../common/data';
import { ZoomPanChangeEvent } from '../common/ZoomPan';
import { ChartProps, ChartContainerChildProps } from '../common/containers/ChartContainer';
interface ScatterPlotProps extends ChartProps {
    data: ChartShallowDataShape[];
    series: JSX.Element;
    yAxis: JSX.Element;
    xAxis: JSX.Element;
    gridlines: JSX.Element | null;
    brush: JSX.Element | null;
    zoomPan: JSX.Element | null;
}
interface ScatterPlotState {
    zoomDomain?: [ChartDataTypes, ChartDataTypes];
    isZoomed?: boolean;
    preventAnimation?: boolean;
    zoomControlled: boolean;
}
export declare class ScatterPlot extends Component<ScatterPlotProps, ScatterPlotState> {
    static defaultProps: Partial<ScatterPlotProps>;
    static getDerivedStateFromProps(props: ScatterPlotProps, state: ScatterPlotState): {
        zoomDomain: any;
        isZoomed: boolean;
    };
    timeout: any;
    constructor(props: ScatterPlotProps);
    getData: any;
    getScales(data: ChartInternalShallowDataShape[], chartHeight: number, chartWidth: number): {
        data: ChartInternalShallowDataShape[];
        yScale: import("d3-scale").ScaleLinear<any, any>;
        xScale: import("d3-scale").ScalePoint<any> | import("d3-scale").ScaleBand<any> | import("d3-scale").ScaleTime<any, any>;
    };
    onZoomPan(event: ZoomPanChangeEvent): void;
    renderChart(containerProps: ChartContainerChildProps): JSX.Element;
    render(): JSX.Element;
}
export {};
