import React, { Component, ReactNode } from 'react';
import { ChartInternalShallowDataShape } from '../../common/data';
export interface ScatterPointProps {
    symbol: ((value: any) => ReactNode);
    active?: boolean;
    size?: ((d: any) => number) | number;
    fill?: string;
    cursor?: string;
    xScale: any;
    yScale: any;
    height: number;
    animated: boolean;
    index: number;
    tooltip: JSX.Element;
    data: ChartInternalShallowDataShape;
    onClick: (e: ChartInternalShallowDataShape) => void;
    onMouseEnter: (e: ChartInternalShallowDataShape) => void;
    onMouseLeave: (e: ChartInternalShallowDataShape) => void;
}
interface ScatterPointState {
    active: boolean;
}
export declare class ScatterPoint extends Component<ScatterPointProps, ScatterPointState> {
    static defaultProps: Partial<ScatterPointProps>;
    rect: React.RefObject<SVGGElement>;
    state: ScatterPointState;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onClick(): void;
    getYPosition(): any;
    getCircleEnter(): {
        cy: any;
        cx: any;
    };
    getCircleExit(): {
        cy: number;
        cx: any;
    };
    getSymbolEnter(): {
        transform: string;
        x: any;
        y: any;
    };
    getSymbolExit(): {
        transform: string;
    };
    renderCircle(): JSX.Element;
    renderSymbol(): JSX.Element;
    render(): JSX.Element;
}
export {};
