import React, { Component } from 'react';
import { ChartDataTypes } from '../../data';
export interface LinearAxisDimensionChanged {
    height?: number;
    width?: number;
}
export interface LinearAxisProps {
    domain?: [ChartDataTypes, ChartDataTypes];
    scaled?: boolean;
    roundDomains?: boolean;
    type: 'value' | 'time' | 'category';
    position: 'start' | 'end' | 'center';
    tickSeries: JSX.Element;
    axisLine: JSX.Element | null;
    height: number;
    width: number;
    scale: any;
    orientation: 'horizontal' | 'vertical';
    onDimensionsChange: (event: LinearAxisDimensionChanged) => void;
}
interface LinearAxisState {
    height?: number;
    width?: number;
}
export declare class LinearAxis extends Component<LinearAxisProps, LinearAxisState> {
    static defaultProps: Partial<LinearAxisProps>;
    ref: React.RefObject<SVGGElement>;
    constructor(props: LinearAxisProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: LinearAxisProps): void;
    updateDimensions(): void;
    getPosition(): {
        translateX: number;
        translateY: number;
    };
    render(): JSX.Element;
}
export {};
