import { Component } from 'react';
export interface LinearAxisTickLabelProps {
    text: string;
    fullText: string;
    angle: number;
    orientation: 'horizontal' | 'vertical';
    half: 'start' | 'end' | 'center';
    line: JSX.Element;
    format?: (v: any) => any;
    fill: string;
    fontSize: number;
    fontFamily: string;
    rotation: boolean | number;
    padding: number | {
        fromAxis: number;
        alongAxis: number;
    };
    textAnchor?: 'start' | 'end' | 'middle';
    position: 'start' | 'end' | 'center';
    align: 'start' | 'end' | 'center' | 'inside' | 'outside';
}
export declare class LinearAxisTickLabel extends Component<LinearAxisTickLabelProps, {}> {
    static defaultProps: Partial<LinearAxisTickLabelProps>;
    getAlign(): "start" | "end" | "center";
    getTickLineSpacing(): any[];
    getOffset(): {
        [x: string]: any;
    };
    getTextPosition(): {
        transform: string;
        textAnchor: string;
        alignmentBaseline: "middle" | "baseline" | "hanging";
    };
    render(): JSX.Element;
}
