import { Component } from 'react';
interface RadialAxisProps {
    height: number;
    xScale: any;
    arc: {
        show: boolean;
        padding: number;
        minRadius: number;
        count: number;
        stroke: ((index: number) => string) | string;
        strokeDasharray: ((index: number) => string) | string;
    };
    line: {
        show: boolean;
        count: number;
        innerRadius: number;
        stroke: ((index: number) => string) | string;
    };
    ticks: {
        show: boolean;
        count: number;
        line: {
            show: boolean;
            stroke: string;
            size: number;
        };
        label: {
            show: boolean;
            fill: string;
            fontSize: number;
            fontFamily: string;
            format?: (value: any, index: number) => any;
        };
    };
}
export declare class RadialAxis extends Component<RadialAxisProps, {}> {
    static defaultProps: {
        ticks: {
            show: boolean;
            count: number;
            line: {
                show: boolean;
                stroke: string;
                size: number;
            };
            label: {
                show: boolean;
                fill: string;
                fontSize: number;
                fontFamily: string;
            };
        };
        arc: {
            show: boolean;
            padding: number;
            minRadius: number;
            stroke: string;
            count: number;
            strokeDasharray: string;
        };
        line: {
            show: boolean;
            count: number;
            stroke: string;
            innerRadius: number;
        };
    };
    getArcWidth(chartRadius: any): number;
    render(): JSX.Element;
}
export {};
