import React, { Component } from 'react';
interface PanProps {
    onPanStart: (event: PanStartEvent) => void;
    onPanMove: (event: PanMoveEvent) => void;
    onPanEnd: (event: PanEndEvent) => void;
    onPanCancel: (event: PanCancelEvent) => void;
    disabled: boolean;
    threshold: number;
    cursor?: string;
}
export interface PanStartEvent {
    source: 'mouse' | 'touch';
    nativeEvent: MouseEvent | TouchEvent;
}
export interface PanMoveEvent {
    source: 'mouse' | 'touch';
    delta: number;
    nativeEvent: MouseEvent | TouchEvent;
}
export interface PanEndEvent {
    source: 'mouse' | 'touch';
    nativeEvent: MouseEvent | TouchEvent;
}
export interface PanCancelEvent {
    source: 'mouse' | 'touch';
    nativeEvent: MouseEvent | TouchEvent;
}
export declare class Pan extends Component<PanProps, {}> {
    static defaultProps: PanProps;
    prevPosition: number;
    timeout: any;
    started: boolean;
    delta: number;
    componentWillUnmount(): void;
    checkThreshold(): boolean;
    disposeHandlers(): void;
    onMouseDown(event: React.MouseEvent): void;
    onMouseMove: (event: MouseEvent) => void;
    onMouseUp: (event: MouseEvent) => void;
    onTouchStart(event: React.TouchEvent): void;
    onTouchMove: (event: TouchEvent) => void;
    onTouchEnd: (event: TouchEvent) => void;
    render(): React.DetailedReactHTMLElement<any, HTMLElement>[];
}
export {};
