import React from 'react';
import { TooltipAreaEvent } from './TooltipAreaEvent';
import { Placement } from 'rdk';
import { ChartDataTypes, ChartInternalDataShape, ChartInternalShallowDataShape } from '../data';
export interface TooltipAreaProps {
    placement: Placement;
    formatter?: (value: any, color?: any) => any;
    height: number;
    width: number;
    xScale: any;
    yScale: any;
    disabled: boolean;
    color: any;
    data: ChartInternalDataShape[];
    tooltip: JSX.Element;
    onValueEnter: (event: TooltipAreaEvent) => void;
    onValueLeave: () => void;
    children?: any;
}
interface TooltipAreaState {
    visible?: boolean;
    placement?: Placement;
    value?: any;
    offsetX?: any;
    offsetY?: any;
    data: Array<TooltipDataShape | ChartInternalShallowDataShape>;
}
interface TooltipDataShape {
    x?: ChartDataTypes;
    y?: ChartDataTypes;
    data?: ChartDataTypes | Array<ChartDataTypes | ChartInternalShallowDataShape>;
}
export declare class TooltipArea extends React.Component<TooltipAreaProps, TooltipAreaState> {
    static defaultProps: Partial<TooltipAreaProps>;
    prevX: number | undefined;
    prevY: number | undefined;
    constructor(props: TooltipAreaProps);
    componentDidUpdate(prevProps: TooltipAreaProps): void;
    onMouseMove(event: React.MouseEvent): void;
    onMouseLeave(): void;
    getTooltipReference(): {
        width: number;
        height: number;
        top: any;
        left: any;
    };
    transformData(series: ChartInternalDataShape[]): TooltipDataShape[];
    render(): JSX.Element;
}
export {};
