import { Component } from 'react';
import { ZoomPanEvent } from './ZoomPan';
import { ChartInternalDataShape, ChartDataTypes } from '../data';
export interface ZoomPanChangeEvent {
    domain: [ChartDataTypes, ChartDataTypes];
    isZoomed: boolean;
}
export interface ChartZoomPanProps {
    data: ChartInternalDataShape[];
    domain?: [ChartDataTypes, ChartDataTypes];
    axisType: 'value' | 'time' | 'category';
    roundDomains: boolean;
    onZoomPan?: (event: ZoomPanChangeEvent) => void;
    height: number;
    width: number;
    scale: number;
    offset: number;
    pannable: boolean;
    zoomable: boolean;
    disabled?: boolean;
    maxZoom: number;
    zoomStep: number;
    decay: boolean;
    disableMouseWheel?: boolean;
}
export declare class ChartZoomPan extends Component<ChartZoomPanProps, {}> {
    static defaultProps: Partial<ChartZoomPanProps>;
    onZoomPan(event: ZoomPanEvent): void;
    getOffset(): {};
    render(): JSX.Element;
}
