import { Component } from 'react';
import { PanMoveEvent } from '../Gestures/Pan';
import { ZoomEvent } from '../Gestures/Zoom';
import { ValueReaction, ColdSubscription } from 'popmotion';
export interface ZoomPanEvent {
    scale: number;
    offset: number;
}
export interface ZoomPanProps {
    height: number;
    width: number;
    scale: number;
    offset: number;
    pannable: boolean;
    zoomable: boolean;
    disabled?: boolean;
    maxZoom: number;
    zoomStep: number;
    decay: boolean;
    disableMouseWheel?: boolean;
    onZoomPan: (event: ZoomPanEvent) => void;
}
interface ZoomPanState {
    isZooming: boolean;
    isPanning: boolean;
}
export declare class ZoomPan extends Component<ZoomPanProps, ZoomPanState> {
    static defaultProps: ZoomPanProps;
    observer?: ValueReaction;
    decay?: ColdSubscription;
    rqf?: any;
    constructor(props: ZoomPanProps);
    componentWillUnmount(): void;
    stopDecay(): void;
    getEndOffset(): number;
    ensureRange(delta: number): number;
    onPanStart(): void;
    onPanMove(event: PanMoveEvent): void;
    onPanEnd(): void;
    onZoom(event: ZoomEvent): void;
    onZoomEnd(): void;
    render(): JSX.Element;
}
export {};
