import { ScaleBand, ScalePoint, ScaleTime, ScaleLinear } from 'd3-scale';
interface ScaleConfig {
    type: 'category' | 'value' | 'time';
    roundDomains: boolean;
    data: any[];
    domain?: any[];
    padding?: number;
    scaled?: boolean;
    width?: number;
    height?: number;
}
/**
 * Gets the X Scale function.
 */
export declare function getXScale({ type, roundDomains, data, width, domain, padding }: ScaleConfig): ScalePoint<any> | ScaleBand<any> | ScaleTime<any, any>;
/**
 * Gets the Y Scale function.
 */
export declare function getYScale({ type, roundDomains, height, data, domain, scaled }: ScaleConfig): ScaleLinear<any, any>;
export {};
